# Ice::NoObjectFactoryException

## Overview

### [ "cpp:ice_print" ] local exception NoObjectFactoryException extends MarshalException

This exception is raised if no suitable object factory was found during unmarshaling of a Slice class instance.

#### See Also

ObjectFactory
Communicator::addObjectFactory
Communicator::findObjectFactory

## Data Members

string type;

  The Slice type ID of the class instance for which no no factory could be found.